package com.ruoyi.base.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 母排信息对象 base_busbar_info
 * 
 * @author zangch
 * @date 2024-10-31
 */
public class BaseBusbarInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标识编号 */
    @Excel(name = "标识编号")
    private Long objId;

    /** 母排编号 */
    @Excel(name = "母排编号")
    private Long busbarCode;

    /** 母排别名 */
    @Excel(name = "母排别名")
    private String busbarAlias;

    /** 电柜编号 */
    @Excel(name = "电柜编号")
    private Long cabinetCode;

    /** 母排距离 */
    @Excel(name = "母排距离")
    private BigDecimal busbarDist;

    /** 是否检测:1-是;0-否 */
    @Excel(name = "是否检测:1-是;0-否")
    private Long isChecked;

    /** 是否尾排:1-是;0-否 */
    @Excel(name = "是否尾排:1-是;0-否")
    private Long isEnd;

    /** 是否启用:1-是;0-否 */
    @Excel(name = "是否启用:1-是;0-否")
    private Long isFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    /** 电柜别名 */
    @Excel(name = "电柜别名")
    private String cabinetAlias;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setBusbarCode(Long busbarCode) 
    {
        this.busbarCode = busbarCode;
    }

    public Long getBusbarCode() 
    {
        return busbarCode;
    }
    public void setBusbarAlias(String busbarAlias) 
    {
        this.busbarAlias = busbarAlias;
    }

    public String getBusbarAlias() 
    {
        return busbarAlias;
    }
    public void setCabinetCode(Long cabinetCode) 
    {
        this.cabinetCode = cabinetCode;
    }

    public Long getCabinetCode() 
    {
        return cabinetCode;
    }
    public void setBusbarDist(BigDecimal busbarDist) 
    {
        this.busbarDist = busbarDist;
    }

    public BigDecimal getBusbarDist() 
    {
        return busbarDist;
    }
    public void setIsChecked(Long isChecked) 
    {
        this.isChecked = isChecked;
    }

    public Long getIsChecked() 
    {
        return isChecked;
    }
    public void setIsEnd(Long isEnd) 
    {
        this.isEnd = isEnd;
    }

    public Long getIsEnd() 
    {
        return isEnd;
    }
    public void setIsFlag(Long isFlag) 
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() 
    {
        return isFlag;
    }
    public void setCreatedBy(String createdBy) 
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() 
    {
        return createdBy;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }
    public void setUpdatedBy(String updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setUpdatedTime(Date updatedTime) 
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() 
    {
        return updatedTime;
    }

    public String getCabinetAlias() {
        return cabinetAlias;
    }

    public void setCabinetAlias(String cabinetAlias) {
        this.cabinetAlias = cabinetAlias;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("busbarCode", getBusbarCode())
            .append("busbarAlias", getBusbarAlias())
            .append("cabinetCode", getCabinetCode())
            .append("busbarDist", getBusbarDist())
            .append("isChecked", getIsChecked())
            .append("isEnd", getIsEnd())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("createdTime", getCreatedTime())
            .append("updatedBy", getUpdatedBy())
            .append("updatedTime", getUpdatedTime())
                .append("cabinetAlias", getCabinetAlias())
            .toString();
    }
}
